Subject: Re: [PATCH net-next v2] net: macb: set default_an_inband to true for SGMII

From: Jakub Kicinski <[email-masked]>
Date: Fri, 13 Mar 2026 19:06:31 -0700

On Fri, 13 Mar 2026 07:21:39 -0700 Charles Perry wrote:
> Most platforms using GEM in SGMII mode use in-band autonegotiation
> because it is on by default in GEM's 1G PCS and is always on since
> commit e276e5e40e92 ("net: macb: Disable PCS auto-negotiation for SGMII
> fixed-link mode"). Leave it on if possible using the "default_an_inband"
> flag of "struct phylink_config" so that platforms that lack in-band
> autonegotiation configurability at the PHY do not break with commit
> 1338cfef1ff1 ("net: macb: fix SGMII with inband aneg disabled") which
> will turn off in-band autoneg for non hot pluggable PHYs.
> 
> Once the majority of the PHY drivers that support SGMII have the
> ->config_inband() callback, this commit could be reverted so that non  
> hot pluggable PHY use outband negotiation with macb, like its the case
> for other MACs.

I'm assuming this needs a respin now to account for the erronously
merged patch?
-- 
pw-bot: cr